Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Fixed failing isolated test #1495

Merged
merged 1 commit into from

2 participants

Arun Agrawal José Valim
Arun Agrawal
Collaborator

Don't know why it's giving error with i18n gem.

It was loading i18n/version actually. Need to figure out why not working with i18n.

Changing gem here in test doesn't matter. As checking same.

Error coming was

  1) Error:
test_require_library_or_gem_deprecated(KernelTest):
NameError: uninitialized constant I18n
    /Users/arunagw/checkouts/rails/activesupport/lib/active_support/i18n.rb:9
    /Users/arunagw/checkouts/rails/bundle/ruby/1.8/gems/i18n-0.6.0/lib/i18n/version.rb:1
    /Users/arunagw/checkouts/rails/bundle/ruby/1.8/gems/i18n-0.6.0/lib/i18n.rb:1:in `require'
    /Users/arunagw/checkouts/rails/bundle/ruby/1.8/gems/i18n-0.6.0/lib/i18n.rb:1

This is only for 3-1-stable as it's deprecated in 3-1-stable branch only.
This can give 3-1-stable as green build.

Arun Agrawal arunagw Loading multi_json instead of i18n gem.
Don't know why it's giving error with i18n gem. 
Changing this as it dosn't matter with specific gem.
596f6ec
José Valim josevalim merged commit af1c020 into from
Jake Varghese jake3030 referenced this pull request from a commit in jake3030/rails
Xavier Noria fxn normalize author names in changelogs [#1495 state:committed]
Signed-off-by: David Heinemeier Hansson <david@loudthinking.com>
46c7dd2
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Jun 5, 2011
  1. Arun Agrawal

    Loading multi_json instead of i18n gem.

    arunagw authored
    Don't know why it's giving error with i18n gem. 
    Changing this as it dosn't matter with specific gem.
This page is out of date. Refresh to see the latest.
Showing with 1 addition and 1 deletion.
  1. +1 −1  activesupport/test/core_ext/kernel_test.rb
2  activesupport/test/core_ext/kernel_test.rb
View
@@ -60,7 +60,7 @@ def test_capture
def test_require_library_or_gem_deprecated
assert_deprecated do
- require_library_or_gem 'i18n'
+ require_library_or_gem 'multi_json'
end
end
end
Something went wrong with that request. Please try again.